LibreOffice: XInsertListener Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XInsertListener Interface Referencepublished

allows to receive notifications about insertions into a database form. More...

`import"XInsertListener.idl";`

Inheritance diagram for XInsertListener:

## Public Member Functions
void | inserting ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when a database form starts inserting a record. More...
void | inserted ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after a database form has inserted a record to a data source. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to receive notifications about insertions into a database form.

Please do not use anymore, this interface is deprecated, and superseded by functionality from the com::sun::star::form::component::DataForm service, as well as the com::sun::star::sdbc::XRowSetListener and com::sun::star::sdb::XRowSetApproveListener interfaces.

Deprecated:

## Member Function Documentation

void inserted | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked after a database form has inserted a record to a data source.

void inserting | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when a database form starts inserting a record.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XInsertListener.idl